/**
 * ATKIS-EDBS-Reader This part to convert from temporary to final Oracle database
 * Copyright (C) 2000  Stephan Falke, Carsten Kleiner, University of Hannover
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

CREATE TABLE layer
( LayerNo VARCHAR2(3) NOT NULL CONSTRAINT pk_layer PRIMARY KEY,
Name VARCHAR2(100));

CREATE TABLE object_race
( ObjRaceNo VARCHAR2(4) NOT NULL CONSTRAINT pk_object_race PRIMARY KEY,
Name VARCHAR2(100));

CREATE TABLE attribute_types
( AttTypeNo VARCHAR2(4) NOT NULL CONSTRAINT pk_attribute_type PRIMARY KEY,
Name VARCHAR(100) );

CREATE TABLE attribute_values
( Type VARCHAR2(4) NOT NULL CONSTRAINT fk_attribuet_type REFERENCES attribute_types(AttTypeNo),
Value VARCHAR2(7) NOT NULL,
Name VARCHAR2(100),
CONSTRAINT pk_attribute_value PRIMARY KEY (Type, Value) );
